#include <zephyr.h>
#include <net/socket.h>

#include <stdio.h>

#include "lte_post_get.c"



/********************************************/
void main (void)
{
  printk("LTETESTING is starting \n"); 
    
     app_socket_start(); 
     int lte_err= nRF_LTE_check();
     if(lte_err==0){ printk("  find LTE_M signal........... \n");
     char sendStr[50];
     memset(sendStr, 0, sizeof(sendStr));
     memcpy(sendStr,"LTE_M testing 00",sizeof("LTE_M testing 00")); 
     app_http_post(sendStr); 
      }
     else{ printk(" Couldnt find LTE_M signal........... \n");}
     printk("---------------------------------------------- \n"); 
     k_sleep(2000);
     nRF_LTE_CLOSE(); 

     NB_IOT_socket_start(); 
      lte_err= nRF_LTE_check();
     if(lte_err==0){ printk("  find LTE_M signal........... \n");
     char sendStr[50];
     memset(sendStr, 0, sizeof(sendStr));
     memcpy(sendStr,"NB_IOT testing 111111",sizeof("NB_IOT testing 111111")); 
     app_http_post(sendStr); 
      }
     else{ printk(" Couldnt find NB_IOT signal........... \n");}
     printk("---------------------------------------------- \n"); 
     k_sleep(2000);
     nRF_LTE_CLOSE(); 

        
    while(1){

       
     
   
    }
   
}
